#!/bin/bash
# Intel(R) Application Debugger for Linux
# Copyright (C) 2000-2012 Intel Corporation. All rights reserved.

# Function symbol for detecting offloads:
# export MPM_MIC_OFFLOAD_SYMBOL="__dbg_target_so_loaded"

# Symbol for MIC executable name:
# export MPM_MIC_EXEC_NAME_SYMBOL="__dbg_target_exe_name"

# Temp directory for MIC process files:
# export MPM_MIC_TEMP_DIR=/tmp/coi_procs/<MICCARD>/<MICPID>/"
 
# Address expression for reading the card id of offloads:
# export MPM_MIC_CARD_ADDR="&__dbg_target_id"

# Address expression for reading the PID of offloads:
# export MPM_MIC_PID_ADDR="&__dbg_target_so_pid"

# The solib-search path for the MIC engines:
# export MPM_MIC_SOLIB_SEARCH_PATH="/tmp/coi_procs/MICCARD/<MICPID>/load_lib"

# The TCP port on which the remote agent on the card will listen
# export MIC_GDBSERVER_PORT=12345

# Log file for debugging purpose:
# export MPM_LOG="./mpm.log"

MPSS_VERSION=`rpm -q mpss-sdk-k1om --queryformat '%{version}'`
SYSROOTS=/opt/mpss/$MPSS_VERSION/sysroots
K1OM_TUPLE=k1om-mpss-linux

if [ -z "$MIC_SYSROOT" ] ; then
    export MIC_SYSROOT=$SYSROOTS/$K1OM_TUPLE
fi

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# Local engine (running on the host).
#
if [ -z "$IDBC_HOST" ]; then
    export IDBC_HOST=$DIR/start_gdb.sh
fi

which $IDBC_HOST &> /dev/null
if [ $? -ne 0 ]; then
    echo "Cannot find GDB's host engine." 1>&2
    exit 1
fi

# Remote engine for MIC.
#
if [ -z "$IDBC_MIC" ]; then
    export IDBC_MIC=$DIR/start_gdb_mic.sh
fi

which $IDBC_MIC &> /dev/null
if [ $? -ne 0 ]; then
    echo "Cannot find GDB's MIC engine." 1>&2
    exit 1;
fi

# Pretend to be GDB 7.5 for org.eclipse.cdt.dsf.gdb.
#
if [ "$1" = "--version" ]; then
    echo "GNU gdb (GDB) 7.5"
else
    $DIR/mpm $@
fi
